
/* =========================
   Only DESKTOP (>= 1025px)
   ========================= */
@media screen and (min-width: 1025px) {
    .gallery-list {
        gap: 24px 16px;
    }

    .gallery-card__body{
        min-height: 86px;
        gap: 0px;
    }
    .gallery-card__title {
        max-height: 0;
        opacity: 0;
        visibility: hidden;
        overflow: hidden;
        transform: translateY(-6px);
        margin: 0;
        transition:
                max-height 0.35s ease,
                opacity 0.25s ease,
                visibility 0.25s ease,
                transform 0.25s ease,
                margin 0.25s ease;
    }

    .gallery-card:hover .gallery-card__title {
        max-height: 80px; /* 제목 길이에 맞게 조절 */
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
        margin-bottom: 8px;
    }
}


/* ============================================================
   TABLET + MOBILE (<= 1024px)
   ============================================================ */
@media screen and (max-width: 1024px) {
    .gallery-card__title {
        max-height: none;
        opacity: 1;
        visibility: visible;
        overflow: hidden;
        transform: none;
        margin-bottom: 0;
    }
}